## libxml-parser-ruby 0.6.1

=== Makefile ===
SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = /home/yoshidam/ruby-1.6.1
topdir = /usr/local/lib/ruby/1.6/i686-linux
hdrdir = /usr/local/lib/ruby/1.6/i686-linux

CC = gcc

CFLAGS   = -fPIC -g -O2 -I/home/yoshidam/work/Ruby/ext/xmlparser/expat/xmlparse -I/home/yoshidam/work/Ruby/ext/xmlparser/expat/xmltok -DXML_ENC_PATH=\"/usr/local/lib/XML/Parser/Encodings\" -DNEW_EXPAT -DXML_DTD -DEXPAT_1_2
CPPFLAGS = -I$(hdrdir) -I/usr/local/include -DHAVE_XMLPARSE_H -DHAVE_XML_SETNOTSTANDALONEHANDLER -DHAVE_XML_SETPARAMENTITYPARSING -DHAVE_XML_SETEXTERNALPARSEDENTITYDECLHANDLER -DHAVE_XML_SETDOCTYPEDECLHANDLER 
CXXFLAGS = $(CFLAGS)
DLDFLAGS =  -L/home/yoshidam/work/Ruby/ext/xmlparser/expat/xmlparse
LDSHARED = gcc -shared 

RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = 

DESTDIR =
prefix = $(DESTDIR)/usr/local
exec_prefix = $(DESTDIR)/usr/local
libdir = $(DESTDIR)/usr/local/lib/ruby/1.6
archdir = $(DESTDIR)/usr/local/lib/ruby/1.6/i686-linux
sitelibdir = $(DESTDIR)/usr/local/lib/ruby/site_ruby/1.6
sitearchdir = $(DESTDIR)/usr/local/lib/ruby/site_ruby/1.6/i686-linux

#### End of system configuration section. ####

LOCAL_LIBS =  
LIBS = -lexpat -lc
OBJS = xmlparser.o

TARGET = xmlparser
DLLIB = $(TARGET).so

RUBY = ruby
RM = $(RUBY) -r ftools -e 'File::rm_f(*Dir[ARGV.join(" ")])'

EXEEXT = 

all:		$(DLLIB)

clean:;		@$(RM) *.o *.so *.sl *.a $(DLLIB)
		@$(RM) $(TARGET).lib $(TARGET).exp $(TARGET).ilk *.pdb

distclean:	clean
		@$(RM) Makefile extconf.h conftest.*
		@$(RM) core ruby$(EXEEXT) *~

realclean:	distclean

install:	$(archdir)/$(DLLIB)

site-install:	$(sitearchdir)/$(DLLIB)

$(archdir)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(libdir) $(archdir)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(archdir)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/saxdriver.rb $(libdir)/saxdriver.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/sax.rb $(libdir)/sax.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlparser.rb $(libdir)/xmlparser.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/wget.rb $(libdir)/wget.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlencoding-ja.rb $(libdir)/xmlencoding-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmldigest.rb $(libdir)/xmldigest.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder-ja.rb $(libdir)/xmltreebuilder-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreevisitor.rb $(libdir)/xmltreevisitor.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltree.rb $(libdir)/xmltree.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder.rb $(libdir)/xmltreebuilder.rb

$(sitearchdir)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(libdir) $(sitearchdir)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(sitearchdir)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/saxdriver.rb $(sitelibdir)/saxdriver.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/sax.rb $(sitelibdir)/sax.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlparser.rb $(sitelibdir)/xmlparser.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/wget.rb $(sitelibdir)/wget.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlencoding-ja.rb $(sitelibdir)/xmlencoding-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmldigest.rb $(sitelibdir)/xmldigest.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder-ja.rb $(sitelibdir)/xmltreebuilder-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreevisitor.rb $(sitelibdir)/xmltreevisitor.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltree.rb $(sitelibdir)/xmltree.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder.rb $(sitelibdir)/xmltreebuilder.rb


.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
$(DLLIB): $(OBJS)
	$(LDSHARED) $(DLDFLAGS) -o $(DLLIB) $(OBJS) $(LIBS) $(LOCAL_LIBS)
