=== debian/control ===
Source: libxml-parser-ruby
Section: ruby
Priority: optional
Maintainer: Filipe Lautert <filipe@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>
Build-Depends: debhelper (>> 7), cdbs, ruby-pkg-tools, libexpat1-dev (>= 1.95.1), ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libxml-parser-ruby/
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libxml-parser-ruby/
Homepage: http://www.yoshidam.net/Ruby.html

Package: libxml-parser-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, libuconv-ruby1.8, ${misc:Depends}
Description: Interface of expat for the scripting language Ruby 1.8
 This is the module to access to James Clark's XML Parser Toolkit "expat" 
 <URL:http://www.jclark.com/xml/expat.html> from Ruby 1.8.

Package: libxml-parser-ruby1.9.1
Architecture: any
Depends: ${shlibs:Depends}, libuconv-ruby1.9.1, ${misc:Depends}
Description: Interface of expat for the scripting language Ruby 1.9.1
 This is the module to access to James Clark's XML Parser Toolkit "expat" 
 <URL:http://www.jclark.com/xml/expat.html> from Ruby 1.9.1.

Package: libxml-parser-ruby
Architecture: any
Depends: libxml-parser-ruby1.8, ${misc:Depends}
Description: Interface of expat for the scripting language Ruby 1.8
 This is the module to access to James Clark's XML Parser Toolkit "expat" 
 <URL:http://www.jclark.com/xml/expat.html> from Ruby 1.8.
 .
 This is dummy package for libxml-parser-ruby1.8
 This package provide documentation and depends on the package 
 containing the actual library for the default Ruby version.
