=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-common.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-extconf-rb.mk

DEB_RUBY_SETUP_ARGS = --with-perl-enc-map=/usr/lib/perl5/XML/Parser/Encodings
